jm.music.data

## Class Tempo

- java.lang.Object
- - jm.music.data.Tempo

-     public class Tempo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `ANDANTE`
    `static double` | `DEFAULT_HIGH`
    `static double` | `DEFAULT_LOW`
    `static double` | `DEFAULT_TEMPO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tempo()` Creates a new instance of Tempo
    `Tempo(double initTempo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getHighestTempo()`
    `double` | `getLowestTempo()`
    `double` | `getPerMinute()`
    `double` | `getPerSecond()`
    `void` | `setHighestTempo(double d)`
    `void` | `setLowestTempo(double d)`
    `void` | `setTempo(double newTempo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANDANTE

          public static double ANDANTE

    - #### DEFAULT_TEMPO

          public static double DEFAULT_TEMPO

    - #### DEFAULT_LOW

          public static double DEFAULT_LOW

    - #### DEFAULT_HIGH

          public static double DEFAULT_HIGH

  - ### Constructor Detail

    - #### Tempo

          public Tempo()

      Creates a new instance of Tempo

    - #### Tempo

          public Tempo(double initTempo)

  - ### Method Detail

    - #### setTempo

          public void setTempo(double newTempo)

    - #### getPerMinute

          public double getPerMinute()

    - #### getPerSecond

          public double getPerSecond()

    - #### setHighestTempo

          public void setHighestTempo(double d)

    - #### getHighestTempo

          public double getHighestTempo()

    - #### setLowestTempo

          public void setLowestTempo(double d)

    - #### getLowestTempo

          public double getLowestTempo()